APIs
{
  ##BEGIN Auth:
  # Section to describe RESTful API for DIRAC Authorization Server(AS)
  Auth
  {
    Port = 8000
    # Allow download personal proxy. By default: True
    allowProxyDownload = True
  }
  ##END
}
Services
{
  Gateway
  {
    Port = 9159
  }
  SystemAdministrator
  {
    Port = 9162
    Authorization
    {
      Default = ServiceAdministrator
      storeHostInfo = Operator
    }
  }
  ##BEGIN TokenManager:
  # Section to describe TokenManager system
  TokenManager
  {
    Port = 9181
    # Description of rules for access to methods
    Authorization
    {
      # Settings by default:
      Default = authenticated
      getUsersTokensInfo = ProxyManagement
    }
  }
  ##END
  ##BEGIN TornadoTokenManager:
  # Section to describe TokenManager system
  TornadoTokenManager
  {
    Protocol = https
    # Description of rules for access to methods
    Authorization
    {
      # Settings by default:
      Default = authenticated
      getUsersTokensInfo = ProxyManagement
    }
  }
  ##END
  ##BEGIN ProxyManager:
  # Section to describe ProxyManager system
  # https://dirac.readthedocs.org/en/latest/AdministratorGuide/Systems/Framework/ProxyManager/index.html
  ProxyManager
  {
    Port = 9152
    MaxThreads = 100
    # Email to use as a sender for the expiration reminder
    MailFrom = "proxymanager@diracgrid.org"
    # Description of rules for access to methods
    Authorization
    {
      Default = authenticated
      getProxy = FullDelegation
      getProxy += LimitedDelegation
      getProxy += PrivateLimitedDelegation
      getVOMSProxy = FullDelegation
      getVOMSProxy += LimitedDelegation
      getVOMSProxy += PrivateLimitedDelegation
      getLogContents = ProxyManagement
    }
  }
  ##END
  ##BEGIN TornadoProxyManager:
  # Section to describe ProxyManager system
  # https://dirac.readthedocs.org/en/latest/AdministratorGuide/Systems/Framework/ProxyManager/index.html
  TornadoProxyManager
  {
    Protocol = https
    # Email to use as a sender for the expiration reminder
    MailFrom = "proxymanager@diracgrid.org"
    # Description of rules for access to methods
    Authorization
    {
      Default = authenticated
      getProxy = FullDelegation
      getProxy += LimitedDelegation
      getProxy += PrivateLimitedDelegation
      getVOMSProxy = FullDelegation
      getVOMSProxy += LimitedDelegation
      getVOMSProxy += PrivateLimitedDelegation
      getLogContents = ProxyManagement
    }
  }
  ##END
  SecurityLogging
  {
    Port = 9153
    # Directory where log info is kept
    DataLocation = data/securityLog
    Authorization
    {
      Default = authenticated
    }
  }
  UserProfileManager
  {
    Port = 9155
    Authorization
    {
      Default = authenticated
    }
  }
  ##BEGIN TornadoUserProfileManager:
  # Section to describe UserProfileManager service
  TornadoUserProfileManager
  {
    Protocol = https
    Authorization
    {
      Default = authenticated
    }
  }
  ##END
  BundleDelivery
  {
    Port = 9158
    Authorization
    {
      Default = authenticated
      FileTransfer
      {
        Default = authenticated
      }
    }
  }
  Notification
  {
    Port = 9154
    Authorization
    {
      sendMail = authenticated
    }
  }
  ##BEGIN TornadoNotification:
  # Section to describe Notification service
  TornadoNotification
  {
    Protocol = https
    Authorization
    {
      sendMail = authenticated
    }
  }
  ##END
  ComponentMonitoring
  {
    Port = 9190
    Authorization
    {
      Default = ServiceAdministrator
      componentExists = authenticated
      getComponents = authenticated
      hostExists = authenticated
      installationExists = authenticated
      getHosts = authenticated
      installationExists = authenticated
      getInstallations = authenticated
      updateLog = Operator
    }
  }
  ##BEGIN TornadoComponentMonitoring:
  # Section to describe ComponentMonitoring service
  TornadoComponentMonitoring
  {
    Protocol = https
    Authorization
    {
      Default = ServiceAdministrator
      componentExists = authenticated
      getComponents = authenticated
      hostExists = authenticated
      installationExists = authenticated
      getHosts = authenticated
      installationExists = authenticated
      getInstallations = authenticated
      updateLog = Operator
    }
  }
  ##END
}
Agents
{
  ##BEGIN ProxyRenewalAgent
  ProxyRenewalAgent
  {
    PollingTime = 900
    # Email to use as a sender for the expiration reminder
    MailFrom = proxymanager@diracgrid.org
    MinimumLifeTime = 3600
    RenewedLifeTime = 54000
  }
  ##END
  ##BEGIN ComponentSupervisionAgent
  ComponentSupervisionAgent
  {
    #Time in seconds between start of cycles
    PollingTime = 600
    # Overall enable or disable
    EnableFlag = False
    # Email addresses receiving notifications
    MailTo =
    # Sender email address
    MailFrom =
    # If True automatically restart stuck agents
    RestartAgents = False
    # if True automatically restart stuck services
    RestartServices = False
    # if True automatically restart stuck executors
    RestartExecutors = False
    # if True automatically start or stop components based on host configuration
    ControlComponents = False
    # if True automatically add or remove service URLs
    CommitURLs = False
    # list of pattern in instances to disable restart for them
    DoNotRestartInstancePattern = RequestExecutingAgent
  }
  ##END
}
